using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EgtBEAMWALL.DataLayer
{
    public class DbManager
    {
        #region Public Fields

        public Controllers.BTLPartController BtlPartCtr = new Controllers.BTLPartController();
        public Controllers.LogMachineController LogMacCtr = new Controllers.LogMachineController();
        public Controllers.LogSupportController LogSupCtr = new Controllers.LogSupportController();
        public Controllers.MachGroupController MachGroupCtr = new Controllers.MachGroupController();
        public Controllers.PartController PartCtr = new Controllers.PartController();
        public Controllers.ProdController ProdCtr = new Controllers.ProdController();
        public Controllers.ProjController ProjCtr = new Controllers.ProjController();

        #endregion Public Fields

        #region Public Constructors

        public DbManager()
        {
        }

        #endregion Public Constructors

        #region Public Properties

        public static bool AdvDataModel { get; set; } = false;

        #endregion Public Properties
    }
}